package Modelo;
// Generated 3 mar. 2022 17:58:56 by Hibernate Tools 4.3.1


import java.math.BigDecimal;
import java.util.HashSet;
import java.util.Set;

/**
 * Orden generated by hbm2java
 */
public class Orden  implements java.io.Serializable {


     private int idOrden;
     private Envio envio;
     private MetodoPago metodoPago;
     private Usuario usuario;
     private BigDecimal total;
     private Set<DetalleOrden> detalleOrdens = new HashSet<DetalleOrden>(0);

    public Orden() {
    }

	
    public Orden(int idOrden, Envio envio, MetodoPago metodoPago, Usuario usuario, BigDecimal total) {
        this.idOrden = idOrden;
        this.envio = envio;
        this.metodoPago = metodoPago;
        this.usuario = usuario;
        this.total = total;
    }
    public Orden(int idOrden, Envio envio, MetodoPago metodoPago, Usuario usuario, BigDecimal total, Set<DetalleOrden> detalleOrdens) {
       this.idOrden = idOrden;
       this.envio = envio;
       this.metodoPago = metodoPago;
       this.usuario = usuario;
       this.total = total;
       this.detalleOrdens = detalleOrdens;
    }
   
    public int getIdOrden() {
        return this.idOrden;
    }
    
    public void setIdOrden(int idOrden) {
        this.idOrden = idOrden;
    }
    public Envio getEnvio() {
        return this.envio;
    }
    
    public void setEnvio(Envio envio) {
        this.envio = envio;
    }
    public MetodoPago getMetodoPago() {
        return this.metodoPago;
    }
    
    public void setMetodoPago(MetodoPago metodoPago) {
        this.metodoPago = metodoPago;
    }
    public Usuario getUsuario() {
        return this.usuario;
    }
    
    public void setUsuario(Usuario usuario) {
        this.usuario = usuario;
    }
    public BigDecimal getTotal() {
        return this.total;
    }
    
    public void setTotal(BigDecimal total) {
        this.total = total;
    }
    public Set<DetalleOrden> getDetalleOrdens() {
        return this.detalleOrdens;
    }
    
    public void setDetalleOrdens(Set<DetalleOrden> detalleOrdens) {
        this.detalleOrdens = detalleOrdens;
    }




}


